Loading...
Searching...
No Matches
mod_main.cc File Reference
`#include "kernel/mod2.h"`
`#include "Singular/mod_lib.h"`
`#include "Singular/blackbox.h"`
`#include "Singular/tok.h"`
`#include "Singular/ipid.h"`
`#include "Singular/lists.h"`
`#include "bigintm.h"`

Go to the source code of this file.

## Functions

int SI_MOD_INIT | bigintm (SModulFunctions *psModulFunctions)

## Function Documentation

## bigintm()

int SI_MOD_INIT bigintm | ( | SModulFunctions * | psModulFunctions | ) |

Definition at line 41 of file mod_main.cc.

{
psModulFunctions->iiAddCproc(currPack->libname,(char*)"printBlackboxTypes",FALSE, printBlackboxTypes0);
psModulFunctions->iiAddCproc(currPack->libname,(char*)"bigintm_setup",FALSE, bigintm_setup0);
// Q: should we call 'bigintm_setup' here??!?!?
return MAX_TOK;
}
FALSE
#define FALSE
Definition auxiliary.h:97
currPack
VAR package currPack
Definition ipid.cc:55
SModulFunctions::iiAddCproc
int(* iiAddCproc)(const char *libname, const char *procname, BOOLEAN pstatic, BOOLEAN(*func)(leftv res, leftv v))
Definition ipid.h:70
MAX_TOK
@ MAX_TOK
Definition tok.h:220